> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project by ID

> Modify details of an existing project.



## OpenAPI

````yaml put /v1/projects/{id}
openapi: 3.0.0
info:
  title: Projects API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/projects/{id}:
    put:
      tags:
        - Projects
      summary: Update project by ID
      description: Modify details of an existing project.
      operationId: updateProject
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectPayload'
      responses:
        '200':
          description: Project updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ProjectPayload:
      type: object
      properties:
        projectCategoryId:
          type: string
          nullable: true
          description: Identifier for the project category.
        name:
          type: string
          description: Name of the project.
        notes:
          type: string
          nullable: true
          description: Additional notes about the project.
        hasPlan:
          type: boolean
          description: Indicates if the project has a plan.
        planIncome:
          type: number
          format: float
          nullable: true
          description: Planned income for the project.
        planOutcome:
          type: number
          format: float
          nullable: true
          description: Planned outcome for the project.
  responses:
    Unauthorized:
      description: Unauthorized access
    Forbidden:
      description: Forbidden access
    NotFound:
      description: Resource not found
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````